package com.huimv.admin.service.primary;

import com.huimv.admin.domain.primary.SysMenuEntity;
import com.huimv.admin.utils.Result;

import java.util.List;
import java.util.Map;

public interface IMenuService {
    //添加菜单
    Result addMenu(SysMenuEntity menu);
    //修改菜单
    Result editMenu(SysMenuEntity menu);
    //删除菜单(批量)
    Result removeMenu(Integer menuId);
   /* //查询所有
    List<Map> listMenu();
    //菜单递归
    List listMenuUtil(List<SysMenuEntity> list);*/

    //优化查询所有
    Result optimizeList();
    //优化菜单递归
    List<Map> optimizeListUtil(int parentId, List<SysMenuEntity> menuEntityList);
}
